Config::Model::Backend::Fstab(3pm)

NAME
Config::Model::Backend::Fstab - Read and write config from fstab file

VERSION
version 2.165

SYNOPSIS
No synopsis. This class is dedicated to configuration class "Fstab"

DESCRIPTION
This module is used directly by Config::Model to read or write the content of a configuration tree written with "fstab" syntax in "Config::Model" configuration tree. Typically this backend is used to read and write "/etc/fstab".

Comments in file_path
This backend is able to read and write comments in the "/etc/fstab" file.

STOP
The documentation below describes methods that are currently used only by Config::Model. You don't need to read it to write a model.

CONSTRUCTOR

  new
Parameters: "( node => $node_obj, name => 'fstab' )"

Inherited from Config::Model::Backend::Any. The constructor is called by Config::Model::BackendMgr.

  read
Of all parameters passed to this read call-back, only "file_path" is used. This parameter must be a Path::Tiny object.

When a file is read, "read" returns 1.

  write
Of all parameters passed to this write call-back, only "file_path" is used.

"write" returns 1.

AUTHOR
Dominique Dumont, (ddumont at cpan dot org)

SEE ALSO
Config::Model, Config::Model::BackendMgr, Config::Model::Backend::Any,

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2005-2022 by Dominique Dumont.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999